Page MenuHomePhabricator

1.32.0-wmf.19 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.32.0-wmf.19
Release Date
1535328000

2018 week 35 1.32-wmf.19 Changes wmf/1.32.0-wmf.19

This MediaWiki Train Deployment is scheduled for the week of Monday, August 27th:

Monday August 27thTuesday, August 28thWednesday, August 29thThursday, August 30thFriday
SWAT deployments only.Branch wmf.19 and deploy to Group 0 Wikis.Deploy wmf.19 to Group 1 Wikis.Deploy wmf.19 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.19 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.32.0-wmf.18
Next: 1.32.0-wmf.20

Event Timeline

greg created this task.Mar 29 2018, 6:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 29 2018, 6:08 PM
greg triaged this task as Normal priority.Mar 29 2018, 6:15 PM
dduvall claimed this task.Aug 28 2018, 6:17 PM

Branch 1.32.0-wmf.19 has been deployed to group0. So far, there's nothing conspicuous in the logs, only T202674: labtestwiki jobqueue error which @thcipriani says he noticed during the previous week's train. It appears to be no big deal but I'll mark it for mention in SoS since it's unwanted noise at the very least.

Branch 1.32.0-wmf.19 has been deployed to group1. There are loads of log spam due to T202058 and T201082 but all else looks ok.

greg closed this task as Resolved.Sep 4 2018, 8:50 PM